<?php get_header(); ?>
    <div class="sekolah_bread">
		<div class="sch_container">
	        <?php dimox_breadcrumbs(); ?>
    	</div>
	</div>
		
	<section id="inkonten" class="clear">
	    <div class="sch_container">
		    <h1 class="sekolah_heading"><?php esc_html_e('Download', 'sekolah'); ?></h1>
			<div class="loop_download clear">
                <div class="before_table clear">
			        <div class="search_something">
				
			            <div class="some_input clear">
				        	<span><?php esc_html_e('Cari File', 'sekolah'); ?></span> <input type="text" name="keyword" placeholder="<?php esc_attr_e( 'ketikkan sesuatu...', 'sekolah'); ?>" id="keyword" onkeyup="fetch()"></input>
				    	</div>
				    	<div class="some_result" id="datafetch"><span class="se_down"><?php re_search_download(); ?></span></div>
					    <div class="some_cat clear">
				        	<div class="head_cat"><?php esc_html_e('Kategori Download', 'sekolah'); ?></div>
						
			    	    	<?php 
						    	$args =  array(
						    	    'hide_empty' => true,
						    		'orderby'    => 'name',
						    		'order'      => 'ASC'
						    	);
						    	$terms = get_terms( 'cat-download' , $args );
						    	foreach( $terms as $down ) {
						    		$term_link = get_term_link( $down, 'cat-download');
							    	echo '<div class="cat_term clear"><a href="' .esc_url( $term_link ) . '">'.esc_html( $down->name ). ' <span>' .esc_html( $down->count ). ' File</span></a></div>';
						    	}
					    	?>
					 	
				    	</div>
                    </div>
				
			    	<div class="result_list">
				    	<div class="down_table">
				            <?php get_template_part('arsip/download'); ?>
			            </div>
					</div>
			    </div>
			</div>
		</div>
	</section>
	
<?php get_footer(); ?>