<?php 
    $typedown = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
	$slu = $typedown->slug;
	$halaman = ( get_query_var ('paged') ) ? get_query_var('paged') : 1 ;
    query_posts( array(  
		'paged' => $halaman,
		'order' => 'ASC',
		'tax_query' => array(
		    array(
			'taxonomy' => 'type-file',
			'terms' => $slu,
			'field' => 'slug'
			)
		)
	));
    if (have_posts()): ?>	
	
		<div class=" clear">
		
			<table class="sekolah_table">
			    <tr class="top_tab">
				    <td><h3><?php esc_html_e('Keterangan File', 'sekolah'); ?></h3></td>
					<td width="80" class="tdcol"><i class="fa fa-download"></i></td>
				</tr>
				
				<?php 
				    while (have_posts()): the_post(); 
					    global $post;
						$strFile = get_post_meta($post -> ID, $key = 'podcast_file', true);
						$sizeFile = get_post_meta($post -> ID, $key = 'size_file', true);
						?>
						
						<tr>
						    <td class="tdrow">
							    <div><strong><?php the_title(); ?></strong></div>
								<p>
								<?php 
								    $terms = get_the_terms( $post->ID , 'type-file' );
									if ( $terms != null ){
										esc_html_e('Type : ', 'sekolah');
										foreach( $terms as $typefile ) {
											echo '<span>'.esc_html( $typefile->name ).'</span>';
											unset($typefile); 
										} 
									} 
									$terms = get_the_terms( $post->ID , 'cat-download' );
							        if ( $terms != null ){
										esc_html_e(' - Kategori : ', 'sekolah');
										foreach( $terms as $down ) {
											$term_link = get_term_link( $down, 'cat-download');
											echo '<a href="' .esc_url( $term_link ). '">' .esc_html( $down->name ). '</a> ';
											unset($down); 
										} 
									} 
								?>
								</p>
								<p><?php the_content(); ?></p>
							</td>
							<td class="tdcol"> 
							    <a download="<?php echo esc_attr( $strFile ); ?>" href="<?php echo esc_attr( $strFile ); ?>"><i class="fa fa-download"></i></a><br/>
			                    <?php if ( $sizeFile != null ){ ?>
							    	<span class="size"><?php esc_html_e('Size : ', 'sekolah'); ?><?php echo esc_attr( $sizeFile ); ?></span>
							    <?php } ?>
							</td>
						</tr>
						
						<?php 
					endwhile; 
				?>
				
			</table>
				
		</div>
			
		<?php  
    endif; 
	get_template_part('arsip/pagination'); 
	wp_reset_query(); 
	
?>