<div class="sch_container">
    <div class="editornews clear">
		<div class="peng-box">
		    <div class="news-inner"><h3><span class="re_peng"><?php sekolah_re_peng(); ?></span></h3></div>
	    	<?php // query
		    	$args = array(
			        'post_type' => 'pengumuman', 
			        'posts_per_page' => 1, 
		        );
	    	    query_posts($args);
				
				if (have_posts()) {
					while (have_posts()): the_post(); 
					?>
				    	<div class="peng-sekolah clear">
							<div class="peng-meta">
							    <div class="pub"><?php esc_html_e('DITERBITKAN :', 'sekolah'); ?> <?php echo esc_html( get_the_time('l, j F Y')); ?>
								</div>
						    	<h3><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
								<div class="editor-text"><?php echo esc_html( smart_excerpt(get_the_excerpt(), 40 )); ?></div>
							</div>
						</div>
					
							
					<?php 
					endwhile;
				} 
				
			wp_reset_query(); 
		?>
    	</div>
	    
		<div class="agenda-box ">
		    <div class="news-inner"><h3><span class="re_agenda"><?php sekolah_re_agenda(); ?></span></h3></div>
	    	<?php // query
				$today = strtotime(date('d-m-Y'));
	            query_posts( array( 
	                'post_type' => 'agenda', 
					'meta_key' => '_minus',
					'posts_per_page' => 2,
					'meta_query' => array(
				         array(
					         'key' => '_minus',
							 'value' => $today,
				             'compare' => '>='
				         )
			        ),
			        'orderby' => 'meta_value',
			        'order' => 'ASC'
			        ) 
	        	); 
				
				if (have_posts()) {
					while (have_posts()): the_post(); 
					global $post;
			        	$tevent = get_post_meta($post->ID, '_tevent', true);
			        	$minus = strtotime(get_post_meta($post->ID, '_tevent', true));
			        	$jam = get_post_meta($post->ID, '_jam', true);
			        	$thisday = strtotime(date_i18n('d-m-Y H:i'));
			        	$end = get_post_meta($post->ID, '_tevent', true).' '.get_post_meta($post->ID, '_jam', true);
			        	$exp = strtotime(date_i18n($end));
			        	$sisa = $exp-$thisday;
					?>
					
					<?php if ( $sisa > 0 ) { ?>
				    	<div class="age-home clear">
						    <div class="tanggal">
							    <div class="hari">
							    	<?php echo esc_html( date_i18n("d", strtotime($tevent))); ?>
								</div>
								<div class="bulan">
							    	<?php echo esc_html( date_i18n("F", strtotime($tevent))); ?>
								</div>
								<div class="tahun">
							    	<?php echo esc_html( date_i18n("Y", strtotime($tevent))); ?>
								</div>
							</div>
							<div class="age-meta">
							    <div class="auth"><?php esc_html_e('WAKTU', 'sekolah'); ?> <i class="fa fa-clock-o"></i> <?php echo esc_html( $jam ); ?></div>
						    	<h3><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
								<div class="editor-text"><?php echo esc_html( smart_excerpt(get_the_excerpt(), 40 )); ?></div>
							</div>
						</div>
					<?php } ?>
							
					<?php 
					endwhile;
				} else { ?>
				        <div class="age-home clear">
						    <div class="tanggal">
							    <div class="hari">
							    	<i class="fa fa-close"></i>
								</div>
							</div>
							<div class="age-meta">
							    <h3><a href="<?php echo esc_url( get_post_type_archive_link( 'agenda' ) ); ?>"><?php esc_html_e('Tidak Ada Agenda Baru', 'sekolah'); ?></a></h3>
								<div class="editor-text">
								<?php esc_html_e('Belum ada Agenda dalam waktu dekat ini, untuk melihat agenda yang telah lewat silahkan cek di halaman', 'sekolah'); ?> <a href="<?php echo esc_url( get_post_type_archive_link( 'agenda' ) ); ?>"><?php esc_html_e('Arsip Agenda', 'sekolah'); ?></a>
								</div>
							</div>
						</div>
				<?php
				} 
				
			wp_reset_query(); 
		?>
    	</div>
	    
		<div class="blog-box">
		    <div class="news-inner"><h3><span class="re_blog"><?php sekolah_re_blog(); ?></span></h3></div>
	    	<?php // query
		    	$args = array(
			        'post_type' => 'blog', 
			        'posts_per_page' => 2, 
		        );
	    	    query_posts($args);
				
				if (have_posts()) {
					while (have_posts()): the_post(); 
					?>
				    	<div class="blogbox clear">
					    	<?php 
							    if (has_post_thumbnail()) { 
								?>
						        	<a href="<?php the_permalink() ?>" class="news_featured">
										<?php 
											the_post_thumbnail('small', array(
												'alt' => trim(strip_tags($post->post_title)),
											    'title' => trim(strip_tags($post->post_title)),
											)); 
										?>
								    </a>
							    <?php } else { ?>
								    <a href="<?php the_permalink() ?>" class="news_featured">
			    	    		        <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/gambar/default.jpg"/>
			        			    </a>
							    <?php 
								} 
							?>
							<div class="blog-extra">
							    <div class="auth"><i class="fa fa-clock-o"></i> <?php echo esc_html( get_the_time('l, j F Y')); ?>
								</div>
						    	<h3><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
							</div>
						</div>
					
							
					<?php 
					endwhile;
				} 
				
			wp_reset_query(); 
		?>
    	</div>
	    
		
	</div>
</div>