<?php
/**
 * Tema WP Sekolah, tema CMS WordPress untuk website sekolah Gratis
 * Author : Ciuss Creative
 * Facebook : http://facebook.com/ciussgw
 * Whatsapp : 0815-3274-4804
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
		<?php 
		    head_meta_sekolah();
			wp_head();
		?>
	
	<!-- Tema WP Sekolah dari ciuss.com rilis Juli 2021 -->
	</head>
	
	<body <?php body_class(); ?>>
	    <div class="wpsekolah">
		    
			<!-- header -->
		    <section class="header clear">
				<div class="navigasi-menu-sekolah">
				    <div class="clear">
						<div id="site-header-menu" class="navigasi-menu-header">
					    	<?php 
						    	if (has_nav_menu('navigation')) {
							        wp_nav_menu(array(
								    	'theme_location' => 'navigation', 
								    	'container' => 'div', 
								    	'container_class' => 'navigasi', 
								    	'menu_class' => 'sch desktop deskmenu', 
								    	'menu_id' => 'sch', 
								    	'fallback_cb' => false
							    		)
							    	);
					    		} else {
							    	echo '<div class="navigasi">
								     	    <ul id="sch" class="sch desktop deskmenu">
									    		<li id="menu-item-319" class="menu-item">
										    		<a target="_blank" href="'. esc_url( 'https://wpnubie.com/menampilkan-menu-menu-pada-header-web/' ) .'">Buat Menu</a>
									    		</li>
									    	</ul>
								    	</div>';
						    	}
					    	?>
				        </div>
				        <div class="menu-icon">
					    	<i class="fa fa-navicon"></i>
						</div>
				        <div class="post-search">
	    	    	        <?php get_search_form(); ?>
		    	        </div>
				    </div>
			    </div>
			</section>
			<!-- end header -->
			
			<section id="schoolnews">
				<div class="run-text">
				    <div class="this-day">
					    <span><?php echo esc_html(date_i18n('l, d-m-Y',time())); ?></span>
				    </div>
				    <div class="running">
				        <ul id="schticker" class="newstickers">
				            <?php call_running_text(); ?>
				        </ul>
					</div>
				</div>
		    	<div class="sch_container">
			    	<div class="clear">
				    	<div class="logo_sekolah">
						    <?php custom_logo_sekolah(); ?>
						</div>
						<div class="kontak-sekolah">
					    	<div class="clear kontak-dir">
						    	<div class="kontak-box">
								    <i class="fa fa-phone"></i> <span class="number"><?php sekolah_school_number(); ?></span><br/>
									<i class="fa fa-envelope-o"></i> <span class="mailing"><?php sekolah_school_email(); ?></span><br/>
						    	</div>
								<div class="sekolah_sosial">
							    	<?php sekolah_social_icon(); ?>
				         		</div>
							</div>
						</div>
					</div>
				</div>
			</section>
			
			<?php sekolah_home_slider(); ?>
			
			<!-- Content -->
			<div class="site_content clear">