<?php
    if ( get_theme_mod('sekolah_type') != "akademi" ) {
		$type_sch = 'Guru';
	} else {
		$type_sch = 'Dosen';
	}
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
    register_post_type( 'blog',		
	array(			
	    'menu_icon'       => 'dashicons-format-status',
		'labels'          => array(				
	    'name'                => _x( 'Blog', 'Nama pos tipe', 'sekolah' ),				
	    'singular_name'       => _x( 'Blog', 'Nama pos tipe', 'sekolah' ),        
	    'add_new'             => __( 'Tambah Tulisan?', 'sekolah' ),	
	    'add_new_item'        => __( 'Tambah Tulisan', 'sekolah' ),	
	    'edit'                => __( 'Edit', 'sekolah' ),	 
	    'edit_item'           => __( 'Edit Tulisan', 'sekolah' ),	
	    'new_item'            => __( 'Item Tulisan', 'sekolah' ),	
	    'view'                => __( 'Lihat Tulisan', 'sekolah' ),	
	    'view_item'           => __( 'Lihat Item', 'sekolah' ),	
	    'search_items'        => __( 'Cari Item', 'sekolah' ),	
	    'not_found'           => __( 'Tidak ada Tulisan ditemukan', 'sekolah' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Tulisan di folder Trash', 'sekolah' ),	
	    'parent'              => __( 'Parent Super Duper', 'sekolah' ),		
        'featured_image'      => __( 'Gambar Unggulan', 'sekolah' ),		
	    ),		                	
	    	'public'              => true,           					            
	    	'has_archive'         => true,        			            
	    	'supports'            => array( 'title', 'editor', 'thumbnail', 'comments', 'author' ),        			            
	    	'exclude_from_search' => false,
			'show_in_rest'        => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'blog_tutorial', 1);
	
	function blog_tutorial() {
	    add_meta_box('blogtutorial', 'Tutorial Pengelolaan Pos Blog', 'blogtutorial', 'blog', 'normal', 'default');
	}

	function blogtutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-blog/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }