<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
	register_post_type( 'ekskul',		
	array(			
	    'menu_icon'       => 'dashicons-feedback',
	    'labels'          => array(				
	    'name'                => _x( 'Ekskul', 'Nama pos tipe', 'sekolah' ),				
	    'singular_name'       => _x( 'Ekskul', 'Nama pos tipe', 'sekolah' ),        
	    'add_new'             => __( 'Tambah Ekskul?', 'sekolah' ),	
	    'add_new_item'        => __( 'Tambah Ekskul', 'sekolah' ),	
	    'edit'                => __( 'Edit', 'sekolah' ),	 
	    'edit_item'           => __( 'Edit Ekskul', 'sekolah' ),	
	    'new_item'            => __( 'Item Ekskul', 'sekolah' ),	
	    'view'                => __( 'Lihat Ekskul', 'sekolah' ),	
	    'view_item'           => __( 'Lihat Item', 'sekolah' ),	
	    'search_items'        => __( 'Cari Item', 'sekolah' ),	
	    'not_found'           => __( 'Tidak ada Ekskul ditemukan', 'sekolah' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Ekskul di folder Trash', 'sekolah' ),	
	    'parent'              => __( 'Parent Super Duper', 'sekolah' ),		
        'featured_image'      => __( 'Gambar Unggulan', 'sekolah' ),		
	    ),		                	
	    	'public'              => true,           					            
	    	'has_archive'         => true,        			            
	    	'supports'            => array( 'title', 'editor', 'thumbnail' ),        			            
	    	'exclude_from_search' => false,
			'show_in_rest'        => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'eks_tutorial', 1);
	 
	function eks_tutorial() {
	    add_meta_box('ekstutorial', 'Tutorial Pengelolaan Pos Ekskul', 'ekstutorial', 'ekskul', 'normal', 'default');
	}

	function ekstutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-ekskul/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }