<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
	register_post_type( 'fasilitas',		
	array(			
	    'menu_icon' => 'dashicons-clipboard',
	    'labels'          => array(				
	    'name'                => _x( 'Fasilitas', 'Nama pos tipe', 'sekolah' ),				
	    'singular_name'       => _x( 'Fasilitas', 'Nama pos tipe', 'sekolah' ),        
	    'add_new'             => __( 'Tambah Fasilitas?', 'sekolah' ),	
	    'add_new_item'        => __( 'Tambah Fasilitas', 'sekolah' ),	
	    'edit'                => __( 'Edit', 'sekolah' ),	 
	    'edit_item'           => __( 'Edit Fasilitas', 'sekolah' ),	
	    'new_item'            => __( 'Item Fasilitas', 'sekolah' ),	
	    'view'                => __( 'Lihat Fasilitas', 'sekolah' ),	
	    'view_item'           => __( 'Lihat Item', 'sekolah' ),	
	    'search_items'        => __( 'Cari Item', 'sekolah' ),	
	    'not_found'           => __( 'Tidak ada Fasilitas ditemukan', 'sekolah' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Fasilitas di folder Trash', 'sekolah' ),	
	    'parent'              => __( 'Parent Super Duper', 'sekolah' ),		
        'featured_image'      => __( 'Gambar Unggulan', 'sekolah' ),		
	    ),		                	
	    	'public'              => true,           					            
	    	'has_archive'         => true,        			            
	    	'supports'            => array( 'title', 'editor', 'thumbnail' ),        			            
	    	'exclude_from_search' => false,
			'show_in_rest'        => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'fas_tutorial', 1);
	 
	function fas_tutorial() {
	    add_meta_box('fastutorial', 'Tutorial Pengelolaan Pos Fasilitas', 'fastutorial', 'fasilitas', 'normal', 'default');
	}

	function fastutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-fasilitas/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }