<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
	register_post_type( 'galeri',		
	array(			
	    'menu_icon' => 'dashicons-format-gallery',
		'labels'          => array(				
	    'name'                => _x( 'Galeri', 'Nama pos tipe', 'sekolah' ),				
	    'singular_name'       => _x( 'Galeri', 'Nama pos tipe', 'sekolah' ),        
	    'add_new'             => __( 'Tambah Galeri?', 'sekolah' ),	
	    'add_new_item'        => __( 'Tambah Galeri', 'sekolah' ),	
	    'edit'                => __( 'Edit', 'sekolah' ),	 
	    'edit_item'           => __( 'Edit Galeri', 'sekolah' ),	
	    'new_item'            => __( 'Item Galeri', 'sekolah' ),	
	    'view'                => __( 'Lihat Galeri', 'sekolah' ),	
	    'view_item'           => __( 'Lihat Item', 'sekolah' ),	
	    'search_items'        => __( 'Cari Item', 'sekolah' ),	
	    'not_found'           => __( 'Tidak ada Galeri ditemukan', 'sekolah' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Galeri di folder Trash', 'sekolah' ),	
	    'parent'              => __( 'Parent Super Duper', 'sekolah' ),		
        'featured_image'      => __( 'Gambar Unggulan', 'sekolah' ),		
	    ),		                	
	    	'public'              => true,           					            
	    	'has_archive'         => true,        			            
	    	'supports'            => array( 'title', 'editor', 'thumbnail' ),        			            
	    	'exclude_from_search' => false,
			'show_in_rest'        => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'galeri_tutorial', 1);
	 
	function galeri_tutorial() {
	    add_meta_box('galeritutorial', 'Tutorial Pengelolaan Pos Galeri', 'galeritutorial', 'galeri', 'normal', 'default');
	}

	function galeritutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-galeri/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }