<?php
add_action( 'init', 'create_sekolah_post_type' );
function create_sekolah_post_type() {
	get_template_part('post-khusus/slider');
	get_template_part('post-khusus/agenda');
	get_template_part('post-khusus/pengumuman');
	get_template_part('post-khusus/editorial');
	get_template_part('post-khusus/blog');
	get_template_part('post-khusus/quotes');
	get_template_part('post-khusus/fasilitas');
	if ( get_theme_mod('sekolah_type') != "akademi" ) {
	    get_template_part('post-khusus/ekskul');
	} else {
		get_template_part('post-khusus/ukm');
	}
	get_template_part('post-khusus/prestasi');
	if ( get_theme_mod('sekolah_type') == "akademi" ) {
    	get_template_part('post-khusus/dosen');
		get_template_part('post-khusus/mahasiswa');
	} else if ( get_theme_mod('sekolah_type') == "pesantren" ) {
		get_template_part('post-khusus/ustadz');
		get_template_part('post-khusus/santri');
	} else {
		get_template_part('post-khusus/gtk');
		get_template_part('post-khusus/siswa');
	}
	get_template_part('post-khusus/download');
	get_template_part('post-khusus/galeri');
	get_template_part('post-khusus/video');
}
    get_template_part('post-khusus/taxonomy');
	
	add_filter('register_post_type_args', 'hide_post', 10, 2);
    
	function hide_post($args, $post_type){
        if ($post_type == 'post'){
			if ( get_theme_mod('opsi_editor') != "false" ) {
	            $showinrest = true;
			} else {
				$showinrest = false;
			}
		    $args['show_in_rest'] = $showinrest;
        }
		if ($post_type == 'page'){
			if ( get_theme_mod('opsi_editor') != "false" ) {
	            $showinrest = true;
			} else {
				$showinrest = false;
			}
		    $args['show_in_rest'] = $showinrest;
        }
		return $args;
    }