<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
	register_post_type( 'quotes',		
	array(			
	    'menu_icon'       => 'dashicons-format-chat',
		'labels'          => array(				
	    'name'                => _x( 'Quotes / Kutipan', 'Nama pos tipe', 'sekolah' ),				
	    'singular_name'       => _x( 'Quotes / Kutipan', 'Nama pos tipe', 'sekolah' ),        
	    'add_new'             => __( 'Tambah Quotes?', 'sekolah' ),	
	    'add_new_item'        => __( 'Tambah Quotes', 'sekolah' ),	
	    'edit'                => __( 'Edit', 'sekolah' ),	 
	    'edit_item'           => __( 'Edit Quotes', 'sekolah' ),	
	    'new_item'            => __( 'Item Quotes', 'sekolah' ),	
	    'view'                => __( 'Lihat Quotes', 'sekolah' ),	
	    'view_item'           => __( 'Lihat Item', 'sekolah' ),	
	    'search_items'        => __( 'Cari Item', 'sekolah' ),	
	    'not_found'           => __( 'Tidak ada Quotes ditemukan', 'sekolah' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Quotes di folder Trash', 'sekolah' ),	
	    'parent'              => __( 'Parent Super Duper', 'sekolah' ),		
        'featured_image'      => __( 'Gambar Unggulan', 'sekolah' ),		
	    ),		                	
	    	'public'              => true,           					            
	    	'has_archive'         => true,        			            
	    	'supports'            => array( 'title', 'editor' ),        			            
	    	'exclude_from_search' => false,
			'show_in_rest'        => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'quotes_tutorial', 1);
	 
	function quotes_tutorial() {
	    add_meta_box('quotestutorial', 'Tutorial Pengelolaan Pos Quotes', 'quotestutorial', 'quotes', 'normal', 'default');
	}

	function quotestutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-quotes/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }