<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
	register_post_type( 'video',		
	array(			
	    'menu_icon'       => 'dashicons-video-alt3',
		'labels'          => array(				
	    'name'                => _x( 'Video', 'Nama pos tipe', 'sekolah' ),				
	    'singular_name'       => _x( 'Video', 'Nama pos tipe', 'sekolah' ),        
	    'add_new'             => __( 'Tambah Video?', 'sekolah' ),	
	    'add_new_item'        => __( 'Tambah Video', 'sekolah' ),	
	    'edit'                => __( 'Edit', 'sekolah' ),	 
	    'edit_item'           => __( 'Edit Video', 'sekolah' ),	
	    'new_item'            => __( 'Item Baru', 'sekolah' ),	
	    'view'                => __( 'Lihat Video', 'sekolah' ),	
	    'view_item'           => __( 'Lihat Item', 'sekolah' ),	
	    'search_items'        => __( 'Cari Item', 'sekolah' ),	
	    'not_found'           => __( 'Tidak ada Video ditemukan', 'sekolah' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Video di folder Trash', 'sekolah' ),	
	    'parent'              => __( 'Parent Super Duper', 'sekolah' ),
        'featured_image'      => __( 'Gambar 600 x 400', 'sekolah' ),		
	    ),		                	
	    	'public'               => true,           					            
	    	'has_archive'          => true,        			            
	    	'supports'             => array( 'title', 'editor'),        			            
	    	'exclude_from_search'  => false, 	 
	    	'show_in_rest'         => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'video_tutorial', 1);
	 
	function video_tutorial() {
	    add_meta_box('videotutorial', 'Tutorial Pengelolaan Pos Video', 'videotutorial', 'video', 'normal', 'default');
	}

	function videotutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-video/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }
	
	add_action('admin_init', 'vid', 1);
	
	function vid() {
	    add_meta_box('sch_vid', 'Video Youtube', 'sch_vid', 'video', 'side', 'default');
	}
	function sch_vid() {
	    global $post;
	    echo '<input type="hidden" name="video_noncename" id="video_noncename" value="' .esc_attr(
	    wp_create_nonce( plugin_basename(__FILE__) ) ). '" />';
	    $vidembed = get_post_meta($post->ID, '_vidembed', true);
	    ?>
		
		<div class="sekolah_metabox">
		
	        <label><?php esc_html_e( 'Untuk memudahkan penambahan video, gunakan embed video dari Youtube, cukup masukkan ID Video', 'sekolah' ); ?></label>
			<input type="text" name="_vidembed" placeholder="<?php esc_attr_e( 'masukan ID saja, bukan link' ); ?>" value="<?php echo esc_attr( $vidembed ); ?>" class="widefat" />
			
		</div>
	<?php }
	function vid_meta($post_id, $post) {
	    if ( ! isset( $_POST['video_noncename'] ) || !wp_verify_nonce( sanitize_text_field(wp_unslash($_POST['video_noncename'])), plugin_basename(__FILE__) )) {
	    return $post->ID;
	    }
	    if ( !current_user_can( 'edit_post', $post->ID ))
	        return $post->ID;
			
		if ( ! isset( $_POST['_vidembed'] ) ) {
	        $events_meta['_vidembed'] = sanitize_text_field( $_POST['_vidembed'] );
		} else {
			$events_meta['_vidembed'] = sanitize_text_field( $_POST['_vidembed'] );
		}
		
	    foreach ($events_meta as $key => $value) {         
		    if( $post->post_type == 'revision' ) return;
	        $value = implode(',', (array)$value); 
	        if(get_post_meta($post->ID, $key, FALSE)) { 
	            update_post_meta($post->ID, $key, $value);
	        } else { 
	            add_post_meta($post->ID, $key, $value);
	        }
	        if(!$value) delete_post_meta($post->ID, $key);
	    }
	}
	add_action('save_post', 'vid_meta', 1, 2); 
?>