<?php
/**
 * Jika pengguna mengganti wordPress ke versi lebih rendah.
 * Kembalikan tema ke default theme.
 */
function sekolah_switch_theme() {
	switch_theme( WP_DEFAULT_THEME, WP_DEFAULT_THEME );
	unset( $_GET['activated'] );
	add_action( 'admin_notices', 'sekolah_upgrade_notice' );
}
add_action( 'after_switch_theme', 'sekolah_switch_theme' );
function sekolah_upgrade_notice() {
	$message = sprintf( __( 'WP sekolah butuh setidaknya WordPress version 5.5. WordPress yang kamu pakai adalah versi %s. Upgrade lebih dulu baru coba pasang tema WP sekolah.', 'sekolah' ), $GLOBALS['wp_version'] );
	printf( '<div class="error"><p>%s</p></div>', $message );
}
function sekolah_customize() {
	wp_die( sprintf( __( 'WP sekolah butuh setidaknya WordPress version 5.5. WordPress yang kamu pakai adalah versi %s. Upgrade lebih dulu baru coba pasang tema WP sekolah.', 'sekolah' ), $GLOBALS['wp_version'] ), '', array(
		'back_link' => true,
	) );
}
add_action( 'load-customize.php', 'sekolah_customize' );
function sekolah_preview() {
	if ( isset( $_GET['preview'] ) ) {
		wp_die( sprintf( __( 'WP sekolah butuh setidaknya WordPress version 5.5. WordPress yang kamu pakai adalah versi %s. Upgrade lebih dulu baru coba pasang tema WP sekolah.', 'sekolah' ), $GLOBALS['wp_version'] ) );
	}
}
add_action( 'template_redirect', 'sekolah_preview' );
?>