<?php 
function sekolah_get_color_scheme_css( $colors ) {
	$colors = wp_parse_args(
		$colors,
		array(
		'background_color'           => '', 
		'sekolah_color1'               => '',
		'sekolah_color2'               => '',
		'sekolah_color3'               => '',
		'sekolah_color4'               => '',
		'sekolah_color5'               => '',
		'sekolah_color6'               => '',
		'sekolah_color7'               => '',
		'sekolah_color8'               => '',
		'sekolah_color9'               => '',
		'sekolah_color10'              => '',
		'sekolah_color11'              => '',
		'sekolah_color12'              => '',
		'sekolah_color13'              => '',
		'sekolah_color14'              => '',
		'sekolah_color15'              => '',
		'sekolah_color16'              => '',
		'sekolah_color17'              => '',
		'sekolah_color18'              => '',
		'sekolah_color19'              => '',
		'sekolah_color20'              => '',
		'sekolah_color21'              => '',
		'sekolah_color22'              => '',
		'sekolah_color23'              => '',
		'sekolah_color24'              => '',
		'sekolah_color25'              => '',
		'sekolah_color26'              => '',
		'sekolah_color27'              => '',
		'sekolah_color28'              => '',
		'sekolah_color29'              => '',
		'sekolah_color30'              => '',
		'sekolah_color31'              => '',
		'sekolah_color32'              => '',
		'sekolah_color33'              => '',
		'sekolah_color34'              => '',
		'sekolah_color35'              => '',
		'sekolah_color36'              => '',
		)
	);
	$css = <<<CSS
	
	body {
		background-color: {$colors['background_color']};
		color: {$colors['sekolah_color2']};
	}
	a {
		color: {$colors['sekolah_color3']};
	}
	.wpsekolah {
		background: {$colors['sekolah_color1']};
	}
	.header,
	.navigasi .sch.desktop li ul,
	.navigasi {
		background: {$colors['sekolah_color4']};
	}
	.navigasi .sch.desktop li.menu-item-has-children:after,
	.navigasi .sch.desktop li a,
	.navigasi .sch.desktop li ul a,
	.navigasi .sch.desktop li ul li.menu-item-has-children:after,
	.navigasi .sch.accord li a,
	.navigasi .sch.accord li.menu-item-has-children:after {
		color: {$colors['sekolah_color6']};
	}
	.ps_button button {
		background: {$colors['sekolah_color5']};
		color: {$colors['sekolah_color6']};
	}
	.ps_input input {
		border-right: 1px solid {$colors['sekolah_color4']};
	}
	.menu-icon  {
		background: {$colors['sekolah_color5']};
		color: {$colors['sekolah_color6']};
	}
	.run-text,
	.this-day {
		background: {$colors['sekolah_color7']};
		color: {$colors['sekolah_color8']};
	}
	#schoolnews {
		background: {$colors['sekolah_color9']};
		color: {$colors['sekolah_color10']};
	}
	#schoolnews a {
		color: {$colors['sekolah_color11']};
	}
	.sekolah_sosial {
		border-left: 1px solid {$colors['sekolah_color10']};
	}
	.sekolah_sosial .fa {
		background: {$colors['sekolah_color12']};
		color: {$colors['sekolah_color13']};
	}
	.sch-infosekolah {
    	background: {$colors['sekolah_color14']};
		color: {$colors['sekolah_color15']};
    }
	.nama_sekolah{
		color: {$colors['sekolah_color15']};
    }
	.news_editorial {
		background: {$colors['sekolah_color16']};
		color: {$colors['sekolah_color17']};
	}
	.news_editorial a {
		color: {$colors['sekolah_color18']};
	}
	.news_editorial .editor-all a {
		background: {$colors['sekolah_color18']};
		color: {$colors['sekolah_color16']};
	}
	.home_quotes {
		background: {$colors['sekolah_color19']};
		color: {$colors['sekolah_color20']};
	}
	.guru_slider {
    	background: {$colors['sekolah_color21']};
		color: {$colors['sekolah_color22']};
    }
	.person.owl-theme .owl-nav [class*="owl-"] {
        background: {$colors['sekolah_color22']};
		color: {$colors['sekolah_color21']};
    }
	.three_block {
		background: {$colors['sekolah_color23']};
		color: {$colors['sekolah_color24']};
	}
	.three_block a,
	.peng-box .news-inner span,
	.agenda-box .news-inner span,
	.blog-box .news-inner span {
		color: {$colors['sekolah_color25']};
	}
	.hari,
	.tahun {
		background: {$colors['sekolah_color25']};
		color: {$colors['sekolah_color23']};
	}
	.bulan {
		background: {$colors['sekolah_color24']};
		color: {$colors['sekolah_color23']};
	}
	.sekolah_galleria {
		background: {$colors['sekolah_color26']};
		color: {$colors['sekolah_color27']};
	}
	.sekolah_galleria a {
		color: {$colors['sekolah_color28']};
	}
	.sekolah_video {
    	background: {$colors['sekolah_color29']};
		color: {$colors['sekolah_color30']};
	}
	.share .fa,
	.age_active {
		background: {$colors['sekolah_color3']};
		color: {$colors['sekolah_color1']};
	}
	.share .fa.fa-share-alt,
	.form-submit .submit,
	.post-category a,
	.age_expired {
		background: {$colors['sekolah_color2']};
		color: {$colors['sekolah_color1']};
	}
	.sidebar .re_kepsek,
	.sidebar .head_name,
	.sidebar .nama_sekolah {
		color: {$colors['sekolah_color2']};
	}
	.pagination a {
		border: 1px solid {$colors['sekolah_color2']};
		color: {$colors['sekolah_color2']};
	}
	.re_kepsek,
	.head_name {
		color: {$colors['sekolah_color1']};
	}
	.sch-widget {
		background: {$colors['sekolah_color31']};
		color: {$colors['sekolah_color32']};
	}
	.widget_block a {
		color: {$colors['sekolah_color33']};
	}
	.widget_block .wp-block-table td {
		border: 1px solid {$colors['sekolah_color32']};
	}
	.widget_block .wp-block-file .wp-block-file__button {
		background: {$colors['sekolah_color33']};
		color: {$colors['sekolah_color31']};
	}
	.widget_block .wp-block-calendar table caption, 
    .widget_block .wp-block-calendar table tbody {
		color: {$colors['sekolah_color32']};
	}
	.widget_block .wp-block-search .wp-block-search__button {
		background: {$colors['sekolah_color32']};
		color: {$colors['sekolah_color31']};
	}
	.widget_contact td {
		border: 1px solid {$colors['sekolah_color32']};
	}
	.footer {
		background: {$colors['sekolah_color34']};
		color: {$colors['sekolah_color35']};
	}
	.footer a {
		color: {$colors['sekolah_color36']};
	}
	.to_top {
		background: {$colors['sekolah_color3']};
		color: {$colors['sekolah_color1']};
	}
	
CSS;
	return $css;
}