<?php get_header(); ?>
    <div class="sekolah_bread">
		<div class="sch_container">
	        <?php dimox_breadcrumbs(); ?>
    	</div>
	</div>
		
	<section id="inkonten" class="clear">
	    <div class="sch_container">
		    <h1 class="sekolah_heading"><?php esc_html_e('Daftar Mahasiswa', 'sekolah'); ?></h1>
			<div class="loop_download clear">
		
		        <div class="before_table clear">
				
                    <div class="search_something">
					    <div class="some_input clear">
				            <span><?php esc_html_e('Pencarian', 'sekolah'); ?></span> <input type="text" name="student" placeholder="<?php esc_attr_e( 'ketikkan nama...', 'sekolah'); ?>" id="student" onkeyup="sisfetch()"></input>
			        	</div>
						<div class="some_result" id="siswafetch"><span class="se_down"><?php re_search_download(); ?></span></div>
					    <div class="some_cat clear">
				        	<div class="head_cat"><?php esc_html_e('Fakultas / Semester', 'sekolah'); ?></div>
						
			    	    	<?php 
						    	$args =  array(
							        'hide_empty' => true,
							    	'orderby'    => 'name',
							    	'order'      => 'ASC'
						    	);
						    	$terms = get_terms( 'fakultas' , $args );
						    	foreach( $terms as $student ) {
							    	$term_link = get_term_link( $student, 'fakultas');
							    	echo '<div class="cat_term clear"><a href="' .esc_url( $term_link ). '">'.esc_html( $student->name ). ' <span>' .esc_html( $student->count ). ' Mahasiswa</span></a></div>';
						    	}
					    	?>
						
				    	</div>
					</div>
				
			    	<div class="result_list">
				    	<div class="down_table">
		                    <?php get_template_part('arsip/mahasiswa'); ?>
		             	</div>
						<div class="clear">
	                    	<?php get_template_part('arsip/pagination'); ?>
		                </div>
					</div>
					
				</div>
			</div>
		</div>
	</section>
	
<?php get_footer(); ?>