<?php 
	$halaman = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
	query_posts( array( 
		'post_type' => 'agenda', 
		'paged' => $halaman, 
		'meta_key' => '_minus',
		'meta_query' => array(
			array(
				'key' => '_minus',
				'compare' => '>='
				)
			),
		'orderby' => 'meta_value',
		'order' => 'DESC'
		) 
	); 
	
	$noagenda = 0;
    if (have_posts()):
	    while (have_posts()): the_post(); 
		$noagenda++;
			global $post;
			
			$tevent = get_post_meta($post->ID, '_tevent', true);
			$minus = strtotime(get_post_meta($post->ID, '_tevent', true));
			$lokasi = get_post_meta($post->ID, '_lokasi', true);
			$koordinator = get_post_meta($post->ID, '_koordinator', true);
			$telepon = get_post_meta($post->ID, '_telepon', true);
			$jam = get_post_meta($post->ID, '_jam', true);
			$dday = strtotime(date_i18n('d-m-Y H:i'));
			$end = get_post_meta($post->ID, '_tevent', true).' '.get_post_meta($post->ID, '_jam', true);
			$exp = strtotime(date_i18n($end));
			$sisa = $exp-$dday;
			$acara = date_i18n("d F Y", strtotime($tevent));
		
		?>
		
		    <div class="sch_looper clear">
			    <div class="post_inlooper clear">
				
				    <div class="post_inlooperthumb <?php if ( $sisa < 0 ) { echo 'age_expired'; } else { echo 'age_active'; } ?>">
						<div class="agedate"><?php echo esc_html(date_i18n('d', strtotime($tevent))); ?></div>
				        <div class="agemonth"><?php echo esc_html(date_i18n('M Y', strtotime($tevent))); ?></div>
					</div>
					
					<div class="post_inloopermeta clear">
					    <?php if ( $sisa < 0 ) { 
						    echo '<div class="post_inlooperpublish"><span class="like_link">';
						        esc_html_e( 'Acara sudah lewat', 'sekolah' ); 
							echo '</span></div>';
						} else { ?>
							<div class="post_inlooperpublish">
							    <?php esc_html_e( 'Menuju acara : ', 'sekolah' ); ?><span id="event<?php echo esc_attr( $noagenda ); ?>">
								    <span class="event_day<?php echo esc_attr( $noagenda ); ?>"></span> <?php esc_html_e( 'Hari + ', 'sekolah' ); ?>
									<span class="like_link"><span class="event_hour<?php echo esc_attr( $noagenda ); ?>"></span> : <span class="event_minutes<?php echo esc_attr( $noagenda ); ?>"></span> : <span class="event_seconds<?php echo esc_attr( $noagenda ); ?>"></span></span>
								</span>
							</div> 
						<?php } ?>
				    	<h2><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
			        	<div class="post_inlooperexcerpt">
			            	<?php echo esc_html( smart_excerpt(get_the_excerpt(), 20) ); ?>
			        	</div>
						
			    	</div>
					
				</div>
			</div>
			
					<script>
						function getTimeRemaining(endtime){
  						    var t = Date.parse(endtime) - Date.parse(new Date());
  					    	var seconds = Math.floor( (t/1000) % 60 );
  					    	var minutes = Math.floor( (t/1000/60) % 60 );
  					    	var hours = Math.floor( (t/(1000*60*60)) % 24 );
  					    	var days = Math.floor( t/(1000*60*60*24) );
  					    	return {
  						        'total': t,
  						        'days': days,
  						        'hours': hours,
  						        'minutes': minutes,
  						        'seconds': seconds
 						    };
						}
						function initializeClock(id, endtime){
  					    	var clock = document.getElementById(id);
  					    	var daysSpan = clock.querySelector('.event_day<?php echo esc_attr( $noagenda ); ?>');
  					    	var hoursSpan = clock.querySelector('.event_hour<?php echo esc_attr( $noagenda ); ?>');
  					    	var minutesSpan = clock.querySelector('.event_minutes<?php echo esc_attr( $noagenda ); ?>');
  					    	var secondsSpan = clock.querySelector('.event_seconds<?php echo esc_attr( $noagenda ); ?>');
  						function updateClock(){
   						    var t = getTimeRemaining(endtime);
    						daysSpan.innerHTML = t.days;
    						hoursSpan.innerHTML = ('0' + t.hours).slice(-2);
    						minutesSpan.innerHTML = ('0' + t.minutes).slice(-2);
    						secondsSpan.innerHTML = ('0' + t.seconds).slice(-2);
    						if(t.total<=0){
     						    clearInterval(timeinterval);
    						}
  						}
  						updateClock();
  						var timeinterval = setInterval(updateClock,1000);
						}
						var deadline = <?php echo "'"; echo esc_html(date("F j Y", strtotime($tevent))); ?> <?php echo esc_html($jam); ?> UTC+0700';
						initializeClock('event<?php echo esc_attr( $noagenda ); ?>', deadline);
					</script>
			
		<?php endwhile; 
    endif; 
	
	wp_reset_query(); 
	
?>