<?php
    
	if ( get_theme_mod('opsi_editor') != "false" ) {
	    $showinrest = true;
	} else {
	    $showinrest = false;
    }
	
	register_post_type( 'ukm',		
	array(			
	    'menu_icon'       => 'dashicons-feedback',
	    'labels'          => array(				
	    'name'                => __( 'Unit Kegiatan' ),				
	    'singular_name'       => __( 'Unit Kegiatan' ),        
	    'add_new'             => __( 'Tambah Kegiatan?' ),	
	    'add_new_item'        => __( 'Tambah Kegiatan' ),	
	    'edit'                => __( 'Edit' ),	 
	    'edit_item'           => __( 'Edit Kegiatan' ),	
	    'new_item'            => __( 'Item Kegiatan' ),	
	    'view'                => __( 'Lihat Kegiatan' ),	
	    'view_item'           => __( 'Lihat Item' ),	
	    'search_items'        => __( 'Cari Item' ),	
	    'not_found'           => __( 'Tidak ada Kegiatan ditemukan' ),	
	    'not_found_in_trash'  => __( 'Tidak ada Kegiatan di folder Trash' ),	
	    'parent'              => __( 'Parent Super Duper' ),		
        'featured_image'      => __( 'Gambar Unggulan' ),		
	    ),		                	
	    	'public'              => true,           					            
	    	'has_archive'         => true,        			            
	    	'supports'            => array( 'title', 'editor', 'thumbnail' ),        			            
	    	'exclude_from_search' => false,
			'show_in_rest'        => $showinrest,
		 )	
    );
	
	add_action('admin_init', 'ukm_tutorial', 1);
	 
	function ukm_tutorial() {
	    add_meta_box('ukmtutorial', 'Tutorial Pengelolaan Pos Unit Kegiatan', 'ukmtutorial', 'ukm', 'normal', 'default');
	}

	function ukmtutorial() { ?>
		    
		<div class="mading_metabox">
		    <iframe width="100%" height="400" src="<?php echo esc_url( 'https://ciuss.com/tuts-ekskul/' ); ?>" frameborder="0" allowfullscreen></iframe>
		</div>
    
	<?php }
	