<?php get_header(); ?>
    <!-- Single -->
	<?php 
	    // Single 
	    if (have_posts()):
		while (have_posts()): the_post(); 
			global $post;
			$mas = get_post_meta($post->ID, '_mas', true);
	    	$nisn = get_post_meta($post->ID, '_nisn', true);
	        $sex = get_post_meta($post->ID, '_sex', true);
	    	$tmpt = get_post_meta($post->ID, '_tmpt', true);
	    	$tgl = get_post_meta($post->ID, '_tgl', true);
	    	$rel = get_post_meta($post->ID, '_rel', true);
	    	$add = get_post_meta($post->ID, '_add', true);
	    	$telp = get_post_meta($post->ID, '_telp', true);
	    	$mail = get_post_meta($post->ID, '_mail', true);
	    	$anak = get_post_meta($post->ID, '_anak', true);
	    	$dari = get_post_meta($post->ID, '_dari', true);
	    	$ayah = get_post_meta($post->ID, '_ayah', true);
	    	$ibu = get_post_meta($post->ID, '_ibu', true);
	    	$almt = get_post_meta($post->ID, '_almt', true);
			
			$tangmas = date_i18n("d F Y", strtotime($mas));
		?>
		
		<div class="sekolah_bread">
	    	<div class="sch_container">
	            <?php dimox_breadcrumbs(); ?>
        	</div>
    	</div>
		
		<section class="sch_singlepost people">
	        <div class="sch_container">
			
			    <div class="sch_singlecontent clear">
					
					<div class="sekolah_primary">
					    <div class="primary_content">
						
						    <?php the_title( '<h1 class="sekolah_heading">', '</h1>' ); ?>
							
						    <table class="guru_table">
							    <tr>
							    	<td class="dpn"><strong><?php echo __( 'Masuk sekolah', 'sekolah' ); ?></strong></td><td><strong><?php if ( $mas != "" ) { echo esc_html( $tangmas ); } else { _e('-'); } ?></strong></td>
								</tr>
								<tr>
							    	<td class="dpn"><strong><?php echo __( 'Saat ini di ', 'sekolah' ); ?></strong></td>
									<td>
								    	<?php
										    $terms = get_the_terms( $post->ID , 'kelas' );
							                if ( $terms != null ){
									        	foreach( $terms as $term ) {
										        	$term_link = get_term_link( $term, 'kelas');
										        	echo '<a href="' . $term_link . '">' . $term->name . '</a> ';
										        	unset($term); 
									        	} 
								        	} 
										?>
									</td>
								</tr>
								<tr>
							    	<td class="dpn"><strong><?php echo __( 'NISN', 'sekolah' ); ?></strong></td><td><?php echo esc_html( $nisn ); ?></td>
								</tr>
								<tr>
							    	<td class="dpn"><strong><?php echo __( 'Jenis Kelamin', 'sekolah' ); ?></strong></td><td><?php echo esc_html( $sex ); ?></td>
								</tr>
								<tr>
							    	<td class="dpn"><strong><?php echo __( 'T.T.L', 'sekolah' ); ?></strong></td><td><?php if ( $tmpt != "" ) { echo esc_html( $tmpt ); } else { _e('-'); } ?>, <?php if ( $tgl != "" ) { echo esc_html( $tangtgl ); } else { _e('-'); } ?></td>
								</tr>
								<tr>
							    	<td class="dpn"><strong><?php echo __( 'Agama', 'sekolah' ); ?></strong></td><td><?php echo esc_html( $rel ); ?></td>
								</tr>
								<tr>
							    	<td class="dpn"><strong><?php echo __( 'Anak ke ', 'sekolah' ); ?></strong></td><td><?php echo esc_html( $anak ); ?> <?php if ( $dari != "" ) { echo __( 'dari ', 'sekolah' ); ?><?php echo esc_html( $dari ); ?> <?php echo __( 'bersaudara', 'sekolah' ); } ?></td>
								</tr>
								<tr>
							    	<td class="dpn"><strong><?php echo __( 'Ayah', 'sekolah' ); ?></strong></td><td><?php echo esc_html( $ayah ); ?></td>
								</tr>
								<tr>
							    	<td class="dpn"><strong><?php echo __( 'Ibu', 'sekolah' ); ?></strong></td><td><?php echo esc_html( $ibu ); ?></td>
								</tr>
								<?php if ( get_post_meta($post->ID, '_telp', true) !="" ) { ?>
					    		    <tr>
					    			    <td class="dpn"><strong><?php echo __( 'Telepon', 'sekolah' ); ?></strong></td><td><strong><?php echo esc_html( $telp ); ?></strong></td>
					                </tr>
					    		<?php } ?>
					    		<?php if ( get_post_meta($post->ID, '_waguru', true) !="" ) { ?>
					    			<tr>
					    			    <td class="dpn"><strong><?php echo __( 'Whatsapp', 'sekolah' ); ?></strong></td><td><strong><?php echo esc_html( $waguru ); ?></strong></td>
					                </tr>
						    	<?php } ?>
						    	<?php if ( get_post_meta($post->ID, '_mail', true) !="" ) { ?>
						    		<tr>
						    		    <td class="dpn"><strong><?php echo __( 'Email', 'sekolah' ); ?></strong></td><td><strong><?php echo esc_html( $mail ); ?></strong></td>
					                </tr>
					    		<?php } ?>
							</table>
							
							<div class="clear content_meta">
							<?php echo __( 'Alamat : ', 'sekolah' ); ?><?php echo esc_html( $almt ); ?>
							</div>
							
							<div class="sekolah_article">
							    <h3 class="art_title"><?php echo __( 'Profil Singkat', 'sekolah' ); ?></h3>
							    <?php 
									if ( !empty( get_the_content() ) ) {
										the_content();
									} else {
										echo __( 'Belum ada data', 'sekolah' );
									} 
								?>
							</div>
						 
						 </div>
					</div>
					
					<div class="sekolah_secondary">
						<div class="secondary_content">
						
						    <?php 
							    if (has_post_thumbnail()) {
									echo '<div class="sekolah_featured">'.get_the_post_thumbnail($post->ID, 'photo').'</div>'; 
								} else {
									echo '<div class="sekolah_featured"><img src="'. get_theme_file_uri('gambar/photo.jpg') .'" /></div>'; 
								}
							?>
							
			            </div>
					</div>
					
			</div>
		</section>
		
		<?php 
		endwhile; 
	    endif; 
	?>
	
<?php get_footer(); ?>